For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all financial accounts
        • GETGet a financial account by ID
        • GETGet all resident charges
        • GETGet a resident charge by ID
        • GETGet all recurring resident charges
        • GETGet recurring resident charge by ID
        • GETGet all resident payments
        • GETGet a resident payment by ID
        • POSTCreate Resident Charge: Propertyware
        • POSTCreate Recurring Resident Charge: Propertyware
        • PUTUpdate Recurring Resident Charge: Propertyware
        • POSTCreate Resident Payment: Propertyware
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Propertyware SOAPBilling and Payments

Get a resident payment by ID

GET
/v1/resident-payments/:resident_payment_id
GET
/v1/resident-payments/:resident_payment_id
$curl https://api.propexo.com/v1/resident-payments/resident_payment_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {
5 "field": "created_at",
6 "direction": "desc"
7 }
8 ],
9 "offset": 0,
10 "limit": 100,
11 "hasMore": true,
12 "total": 1000
13 },
14 "results": {
15 "id": "clwktsp9v000008l31iv218hn",
16 "created_at": "2024-03-21T15:38:08.337Z",
17 "updated_at": "2024-03-22T10:59:45.119Z",
18 "last_seen": "2024-03-22T10:59:45.119Z",
19 "x_id": "ext-pay-20240321-001",
20 "x_property_id": "ext-prop-987654",
21 "x_gl_account_id": "gl-acc-12345",
22 "x_location_id": null,
23 "x_lease_id": "lease-2024-03-001",
24 "x_resident_id": null,
25 "x_unit_id": "unit-12B",
26 "x_charge_code_id": null,
27 "payment_method_normalized": "credit_card",
28 "payment_method_raw": "Visa ending 1234",
29 "amount_in_cents": 325000,
30 "amount_raw": "3250.00",
31 "name": "John Doe",
32 "description": "March rent payment",
33 "reference_number": "INV-20240321-001",
34 "transaction_date": "2024-03-20T00:00:00Z",
35 "is_open": null,
36 "post_month": null,
37 "custom_data": {},
38 "integration_id": "clwh5u07w000508me66sfh3um",
39 "integration_vendor": "PROPERTYWARE",
40 "property_id": "clwi5xiix000008l6ctdgafyh",
41 "resident_id": null,
42 "financial_account_id": "fin-acc-202403",
43 "unit_id": null,
44 "lease_id": null,
45 "charge_code_id": null,
46 "allocations": [
47 {
48 "id": "clwktsp9v000008l31iv218hn",
49 "x_id": "alloc-20240321-001",
50 "x_source_id": "src-20240321-001",
51 "x_destination_id": "dest-20240321-001",
52 "financial_account_id": "fin-acc-202403",
53 "amount_in_cents": 325000,
54 "amount_raw": "3250.00",
55 "resident_charge_id": null,
56 "resident_payment_id": "clwktsp9v000008l31iv218hn",
57 "created_at": "2024-03-21T15:38:08.337Z",
58 "updated_at": "2024-03-22T10:59:45.119Z",
59 "last_seen": "2024-03-22T10:59:45.119Z",
60 "custom_data": {}
61 }
62 ]
63 }
64}
The Resident Payments model provides a limited, one-sided view of a resident's financial history with a PMC and should not be treated as a comprehensive report of all payments that the resident has made. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.
Was this page helpful?
Previous

Create Resident Charge: Propertyware

Next
Built with

The Resident Payments model provides a limited, one-sided view of a resident’s financial history with a PMC and should not be treated as a comprehensive report of all payments that the resident has made. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

resident_payment_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error